import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceDispenserSegmentationDashboard = createAsyncThunk(
  "PROVINCE_DISPENSER_SEGMENTATION_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(`segmentation-dashboard`, {
      params: {
        date1: d.selectedDate1,
        date2: d.selectedDate2,
        role: getRoleFromUrl(),
        steward_key: d.steward_key || "all",
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
